#!/bin/sh

#insert BT-MAC address here
MAC="00:01:02:03:04:05" 
ACTION=$1
PARAM=$2
echo Params: $ACTION $PARAM
case "$ACTION" in
    connecting)
	echo "trying to ping device"
	l2ping -c 2 $MAC || exit 1
	echo "trying to attach device"
	hcitool cc $MAC 
	echo "trying to bind device"
	rfcomm bind 0 
    ;;
    connected)
	# exec some useful commands here e.g unlock VDR etc
    ;;
    lostconnection)
	# see above, lock VDR...
    ;;
    lostconnection|disconnected)
	echo "disconnecting"
	hcitool dc $MAC
	rfcomm release 0
    ;;
    clip)
	# call from tel: $PARAM
	/sat/invsuche.sh $PARAM
    ;;
    sms)
	/sat/VDR/svdrpsend.pl mesg SMS: $PARAM
    ;;
    creg)
	# network registration
	# 0 Not checked in, not seeking
	# 1 Checked in
	# 2 Not checked in, but seeking a network
	# 3 Check-in denied by network
	# 4 Unknown
	# 5 Registered, roaming		 
	case "$PARAM" in
	    "2")
		echo "registered in network";
	    ;;
	    *)
		echo "not registered in network";
	    ;;
	esac
    ;;
esac
